AgentMonitorValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.AgentMonitorValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent
Class AgentMonitorValue

    java.lang.Object
      org.hyperic.hq.agent.AgentMonitorValue

    public class AgentMonitorValue

extends java.lang.Object

Field Summary
`static int` | `ERR_BADKEY`
`static int` | `ERR_BADMONITOR`
`static int` | `ERR_INCALCULABLE`
`static int` | `ERR_INTERNAL`
`static int` | `TYPE_AINT`
`static int` | `TYPE_ASTRING`
`static int` | `TYPE_DOUBLE`
`static int` | `TYPE_STRING`

Constructor Summary
`AgentMonitorValue()`
`AgentMonitorValue(double value)`
`AgentMonitorValue(int[] value)`
`AgentMonitorValue(java.lang.String value)`
`AgentMonitorValue(java.lang.String[] value)`

Method Summary
`static void` | `checkValidType(int type)`
`int[]` | `getAIntValue()`
`java.lang.String[]` | `getAStringValue()`
`double` | `getDoubleValue()`
`int` | `getErrCode()`
`java.lang.String` | `getStringValue()`
`int` | `getType()`
`boolean` | `isErr()`
`void` | `setErrCode(int errCode)`
`void` | `setType(int type)`
`void` | `setValue(double dValue)`
`void` | `setValue(int[] aiValue)`
`void` | `setValue(java.lang.String sValue)`
`void` | `setValue(java.lang.String[] asValue)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_STRING

    public static final int TYPE_STRING

See Also:
  Constant Field Values

### TYPE_DOUBLE

    public static final int TYPE_DOUBLE

See Also:
  Constant Field Values

### TYPE_ASTRING

    public static final int TYPE_ASTRING

See Also:
  Constant Field Values

### TYPE_AINT

    public static final int TYPE_AINT

See Also:
  Constant Field Values

### ERR_INCALCULABLE

    public static final int ERR_INCALCULABLE

See Also:
  Constant Field Values

### ERR_BADKEY

    public static final int ERR_BADKEY

See Also:
  Constant Field Values

### ERR_BADMONITOR

    public static final int ERR_BADMONITOR

See Also:
  Constant Field Values

### ERR_INTERNAL

    public static final int ERR_INTERNAL

See Also:
  Constant Field Values

Constructor Detail

### AgentMonitorValue

    public AgentMonitorValue()

### AgentMonitorValue

    public AgentMonitorValue(java.lang.String value)

### AgentMonitorValue

    public AgentMonitorValue(double value)

### AgentMonitorValue

    public AgentMonitorValue(java.lang.String[] value)

### AgentMonitorValue

    public AgentMonitorValue(int[] value)

Method Detail

### isErr

    public boolean isErr()

### setErrCode

    public void setErrCode(int errCode)

### getErrCode

    public int getErrCode()

### getType

    public int getType()

### setType

    public void setType(int type)

### getStringValue

    public java.lang.String getStringValue()

### setValue

    public void setValue(java.lang.String sValue)

### getDoubleValue

    public double getDoubleValue()

### setValue

    public void setValue(double dValue)

### getAStringValue

    public java.lang.String[] getAStringValue()

### setValue

    public void setValue(java.lang.String[] asValue)

### getAIntValue

    public int[] getAIntValue()

### setValue

    public void setValue(int[] aiValue)

### checkValidType

    public static void checkValidType(int type)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.